> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/sdks/python-sdk/watch-dogs.md).

# Watch Dogs

### Watch Dogs

{% hint style="info" %}
[**Watchdog**](https://app.archbee.com/docs/FbT_Z5Cu33D-LVZx1fRkU/yaZxsl7FnxbYi883jYc3-#PBfrR) is a thread that regularly checks **license** or **feature**
{% endhint %}

### License Watch Dogs

#### setup\_license\_watch\_dog

Initializes and starts the license watchdog with the specified callback and timeout settings.

Parameters:

* callback (callable): A callable to be executed by the watchdog in response to specific events or conditions.
* timeout (int): The period in minutes after which the watchdog should perform its checks.
* deamon (bool, optional): Run thread as deamon. Defaults to False.
* run\_immediately (bool, optional): Run license check immediately; if False wait for timeout first. Defaults to True.

```python
manager = LicenseManager(conf)

license_id = LicenseID.from_key("H7G3-F4PJ-4AEJ-UKYL")

license = manager.activate_license(license_id)

license.setup_license_watch_dog(callback, timeout)
```

#### stop\_license\_watch\_dog

Stops the license watchdog if it is currently running.

```python
manager = LicenseManager(conf)

license_id = LicenseID.from_key("H7G3-F4PJ-4AEJ-UKYL")

license = manager.activate_license(license_id)

license.setup_license_watch_dog(callback, timeout)

license.stop_license_watch_dog()
```

### Feature Watch Dogs

#### setup\_feature\_watch\_dog

Initializes and starts the feature watchdog with the specified callback and timeout.

Parameters:

* callback (callable): A callable to be executed by the watchdog in response to specific events or conditions.
* timeout (int): The period in minutes after which the watchdog should perform its checks.
* deamon (bool, optional): Run thread as deamon. Defaults to False.

```python
manager = LicenseManager(conf)

license_id = LicenseID.from_key("H7G3-F4PJ-4AEJ-UKYL")

license = manager.activate_license(license_id)

license.setup_feature_watch_dog(callback, timeout)
```

#### stop\_feature\_watch\_dog

Stops the feature watchdog if it is currently running.

```python
manager = LicenseManager(conf)

license_id = LicenseID.from_key("H7G3-F4PJ-4AEJ-UKYL")

license = manager.activate_license(license_id)

license.setup_feature_watch_dog(callback, timeout)

license.stop_feature_watch_dog()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.licensespring.com/sdks/python-sdk/watch-dogs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
